=== debian/control ===
Source: kf6-kstatusnotifieritem
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6windowsystem-dev (>= 6.21.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
Rules-Requires-Root: no

Package: libkf6statusnotifieritem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - translations
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the data files.

Package: libkf6statusnotifieritem-dev
Section: libdevel
Architecture: any
Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
Description: Implementation of Status Notifier Items - development files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the development files.

Package: libkf6statusnotifieritem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - documentation files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the qch documentation files.

Package: libkf6statusnotifieritem6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libkf6statusnotifieritem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Implementation of Status Notifier Items
 KStatusNotifierItem provides a framework for status notifier items.
