=== debian/changelog ===
kf6-kstatusnotifieritem (6.21.0+p24.04+vstable+git20260105.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:10:48 +0000
