## kf6-kstatusnotifieritem 6.22.0+p24.04+vstable+git20260106.0747

=== debian/changelog ===
kf6-kstatusnotifieritem (6.22.0+p24.04+vstable+git20260106.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 07:47:23 +0000

kf6-kstatusnotifieritem (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:35 +1000
