## kf6-kstatusnotifieritem 6.22.0+p24.04+vstable+git20260131.0153

=== debian/changelog ===
kf6-kstatusnotifieritem (6.22.0+p24.04+vstable+git20260131.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:53:12 +0000
